package de.avatic.lcc.dto.generic;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.model.db.rates.ValidityPeriodState;

import java.time.LocalDateTime;

public class ValidityPeriodDTO {

    private Integer id;

    @JsonProperty("start_date")
    private LocalDateTime startDate;

    @JsonProperty("end_date")
    private LocalDateTime endDate;

    private ValidityPeriodState state;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public LocalDateTime getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDateTime startDate) {
        this.startDate = startDate;
    }

    public LocalDateTime getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDateTime endDate) {
        this.endDate = endDate;
    }

    public ValidityPeriodState getState() {
        return state;
    }

    public void setState(ValidityPeriodState state) {
        this.state = state;
    }
}
